Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPDataSetReader Class Reference

`#include <vtkPDataSetReader.h>`

Inheritance diagram for vtkPDataSetReader:

[legend]
Collaboration diagram for vtkPDataSetReader:

[legend]
List of all members.

## Detailed Description

Manages writing pieces of a data set.

Date:
  2003/01/17 14:36:16

Revision:
  1.14

vtkPDataSetReader will write a piece of a file, and will also create a metadata file that lists all of the files in a data set.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (61%)
  - Hoffman, Bill (31%)

CVS logs (CVSweb):
  - .`h` (`/Parallel/vtkPDataSetReader.h)`
  - .`cxx` (`/Parallel/vtkPDataSetReader.cxx)`

Tests:
  vtkPDataSetReader (Tests)

Definition at line 47 of file vtkPDataSetReader.h.

## Public Types
typedef vtkSource | Superclass
## Public Methods
void | PrintSelf (ostream &os, vtkIndent indent)
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual int | GetNumberOfOutputs ()
virtual void | Update ()
virtual int | ReadOutputType ()
int | CanReadFile (const char *filename)
virtual void | SetFileName (const char *)
virtual char * | GetFileName ()
void | SetOutput (vtkDataSet *output)
virtual vtkDataSet * | GetOutput ()
virtual vtkDataSet * | GetOutput (int idx)
virtual int | GetDataType ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPDataSetReader * | SafeDownCast (vtkObject *o)
vtkPDataSetReader * | New ()
## Protected Methods
| vtkPDataSetReader ()
| ~vtkPDataSetReader ()
virtual void | ExecuteInformation ()
void | ReadPVTKFileInformation (ifstream *fp)
void | ReadVTKFileInformation (ifstream *fp)
virtual void | Execute ()
void | PolyDataExecute ()
void | UnstructuredGridExecute ()
void | ImageDataExecute ()
void | StructuredGridExecute ()
void | CoverExtent (int ext[6], int *pieceMask)
vtkDataSet * | CheckOutput ()
void | SetNumberOfPieces (int num)
ifstream * | OpenFile (const char *)
int | ReadXML (ifstream *file, char **block, char **param, char **value)
void | SkipFieldData (ifstream *file)
## Protected Attributes
int | VTKFileFlag
int | StructuredFlag
char * | FileName
int | DataType
int | NumberOfPieces
char ** | PieceFileNames
int ** | PieceExtents

## Member Typedef Documentation

typedef vtkSource vtkPDataSetReader::Superclass

| Reimplemented from vtkSource. Definition at line 51 of file vtkPDataSetReader.h.

## Constructor & Destructor Documentation

vtkPDataSetReader::vtkPDataSetReader | ( |  | ) | `[protected]`

vtkPDataSetReader::~vtkPDataSetReader | ( |  | ) | `[protected]`

## Member Function Documentation

void vtkPDataSetReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkSource.

virtual const char* vtkPDataSetReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkSource.

int vtkPDataSetReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource.

virtual int vtkPDataSetReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource.

vtkPDataSetReader* vtkPDataSetReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkSource.

vtkPDataSetReader* vtkPDataSetReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual int vtkPDataSetReader::GetNumberOfOutputs | ( |  | ) | `[inline, virtual]`

| Let everyone know we have one output before the output is set. Reimplemented from vtkSource. Definition at line 55 of file vtkPDataSetReader.h.

virtual void vtkPDataSetReader::SetFileName | ( | const char * |  | ) | `[virtual]`

| This file to open and read.

virtual char* vtkPDataSetReader::GetFileName | ( |  | ) | `[virtual]`

| This file to open and read.

void vtkPDataSetReader::SetOutput | ( | vtkDataSet * | output | ) |

| The output of this reader depends on the file choosen. You cannot get the output until the filename is set.

virtual vtkDataSet* vtkPDataSetReader::GetOutput | ( |  | ) | `[virtual]`

| The output of this reader depends on the file choosen. You cannot get the output until the filename is set.

virtual vtkDataSet* vtkPDataSetReader::GetOutput | ( | int | idx | ) | `[virtual]`

| The output of this reader depends on the file choosen. You cannot get the output until the filename is set. Reimplemented from vtkSource.

virtual void vtkPDataSetReader::Update | ( |  | ) | `[virtual]`

| We need to define this so that the output gets created. Reimplemented from vtkSource.

virtual int vtkPDataSetReader::GetDataType | ( |  | ) | `[virtual]`

| This is set when UpdateInformation is called. It shows the type of the output.

virtual int vtkPDataSetReader::ReadOutputType | ( |  | ) | `[virtual]`

| This method can be used to find out the type of output expected without needing to read the whole file.

int vtkPDataSetReader::CanReadFile | ( | const char * | filename | ) |

| Called to determine if the file can be read by the reader.

virtual void vtkPDataSetReader::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkPDataSetReader::ReadPVTKFileInformation | ( | ifstream * | fp | ) | `[protected]`

void vtkPDataSetReader::ReadVTKFileInformation | ( | ifstream * | fp | ) | `[protected]`

virtual void vtkPDataSetReader::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkPDataSetReader::PolyDataExecute | ( |  | ) | `[protected]`

void vtkPDataSetReader::UnstructuredGridExecute | ( |  | ) | `[protected]`

void vtkPDataSetReader::ImageDataExecute | ( |  | ) | `[protected]`

void vtkPDataSetReader::StructuredGridExecute | ( |  | ) | `[protected]`

void vtkPDataSetReader::CoverExtent | ( | int | ext[6],
|  | int * | pieceMask
| ) | `[protected]`

vtkDataSet* vtkPDataSetReader::CheckOutput | ( |  | ) | `[protected]`

void vtkPDataSetReader::SetNumberOfPieces | ( | int | num | ) | `[protected]`

ifstream* vtkPDataSetReader::OpenFile | ( | const char * |  | ) | `[protected]`

int vtkPDataSetReader::ReadXML | ( | ifstream * | file,
|  | char ** | block,
|  | char ** | param,
|  | char ** | value
| ) | `[protected]`

void vtkPDataSetReader::SkipFieldData | ( | ifstream * | file | ) | `[protected]`

## Member Data Documentation

int vtkPDataSetReader::VTKFileFlag`[protected]`

| Definition at line 112 of file vtkPDataSetReader.h.

int vtkPDataSetReader::StructuredFlag`[protected]`

| Definition at line 113 of file vtkPDataSetReader.h.

char* vtkPDataSetReader::FileName`[protected]`

| Definition at line 114 of file vtkPDataSetReader.h.

int vtkPDataSetReader::DataType`[protected]`

| Definition at line 115 of file vtkPDataSetReader.h.

int vtkPDataSetReader::NumberOfPieces`[protected]`

| Definition at line 116 of file vtkPDataSetReader.h.

char** vtkPDataSetReader::PieceFileNames`[protected]`

| Definition at line 117 of file vtkPDataSetReader.h.

int** vtkPDataSetReader::PieceExtents`[protected]`

| Definition at line 118 of file vtkPDataSetReader.h.

The documentation for this class was generated from the following file:

- Parallel/vtkPDataSetReader.h